org.appng.api.support

## Class RequestFactoryBean

- java.lang.Object
- - org.appng.api.support.RequestFactoryBean

- All Implemented Interfaces:
    org.springframework.beans.factory.FactoryBean<Request>, org.springframework.beans.factory.InitializingBean

      public class RequestFactoryBean
      extends Object
      implements org.springframework.beans.factory.FactoryBean<Request>, org.springframework.beans.factory.InitializingBean

  A `FactoryBean` responsible for initializing a `Request`.
  Author:
    Matthias Müller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestFactoryBean(javax.servlet.http.HttpServletRequest httpServletRequest, Environment environment, Site site, Application app, org.springframework.core.convert.ConversionService conversionService, org.springframework.context.MessageSource messageSource)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterPropertiesSet()`
    `Request` | `getObject()`
    `Class<?>` | `getObjectType()`
    `boolean` | `isSingleton()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestFactoryBean

          public RequestFactoryBean(javax.servlet.http.HttpServletRequest httpServletRequest,
                                    Environment environment,
                                    Site site,
                                    Application app,
                                    org.springframework.core.convert.ConversionService conversionService,
                                    org.springframework.context.MessageSource messageSource)

  - ### Method Detail

    - #### getObject

          public Request getObject()

      Specified by:
        `getObject` in interface `org.springframework.beans.factory.FactoryBean<Request>`

    - #### afterPropertiesSet

          public void afterPropertiesSet()

      Specified by:
        `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`

    - #### getObjectType

          public Class<?> getObjectType()

      Specified by:
        `getObjectType` in interface `org.springframework.beans.factory.FactoryBean<Request>`

    - #### isSingleton

          public boolean isSingleton()

      Specified by:
        `isSingleton` in interface `org.springframework.beans.factory.FactoryBean<Request>`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.